Summary:        RPM Development Tools
Name:           rpmdevtools
Version:        9.6
Release:        4%{?dist}
License:        GPLv2+ and GPLv2
URL:            https://pagure.io/rpmdevtools
Source0:        https://releases.pagure.org/rpmdevtools/%{name}-%{version}.tar.xz

Patch3000:      0001-Force-legacy-datestamp-while-RHBZ-1715412-is-still-a.patch

BuildRequires:  make help2man %{_bindir}/pod2man  perl-generators
BuildRequires:  python3-devel python3dist(progressbar2) python3dist(requests)
BuildRequires:  python3dist(rpm) bash-completion
BuildRequires:  emacs-common >= 1:22.3-3
Requires:       curl diffutils fakeroot file findutils gawk grep sed
Requires:       python3dist(argcomplete) python3dist(progressbar2)
Requires:       python3dist(requests) python3dist(rpm) emacs-filesystem
Requires:       rpm-build >= 4.4.2.3
Recommends:     python%{python3_version}dist(rpmautospec)
BuildArch:      noarch

%description
This package contains scripts and emacs support files to aid in
development of RPM packages.
rpmdev-setuptree    Create RPM build tree within user's home directory
rpmdev-diff         Diff contents of two archives
rpmdev-newspec      Creates new .spec from template
rpmdev-rmdevelrpms  Find (and optionally remove) "development" RPMs
rpmdev-checksig     Check package signatures using alternate RPM keyring
rpminfo             Print information about executables and libraries
rpmdev-md5/sha*     Display checksums of all files in an archive file
rpmdev-vercmp       RPM version comparison checker
rpmdev-spectool     Expand and download sources and patches in specfiles
rpmdev-wipetree     Erase all files within dirs created by rpmdev-setuptree
rpmdev-extract      Extract various archives, "tar xvf" style
rpmdev-bumpspec     Bump revision in specfile
...and many more.

%prep
%autosetup -p1
grep -rlF "%{_bindir}/python " . | xargs sed -i "s|%{_bindir}/python |%{_bindir}/python3 |"

%build
%configure --libdir=%{_prefix}/lib
%make_build

%install
%make_install

for dir in %{_emacs_sitestartdir} ; do
  install -d -m 0755 %{buildroot}$dir
  ln -s %{_datadir}/rpmdevtools/rpmdev-init.el %{buildroot}$dir
  touch %{buildroot}$dir/rpmdev-init.elc
done

ln -sr %{buildroot}%{_bindir}/rpmdev-spectool %{buildroot}%{_bindir}/spectool
echo ".so man1/rpmdev-spectool.1" > %{buildroot}%{_mandir}/man1/spectool.1

echo %%{_datadir}/bash-completion > %{name}.files
[ -d %{buildroot}%{_sysconfdir}/bash_completion.d ] && \
echo %%{_sysconfdir}/bash_completion.d > %{name}.files

%files -f %{name}.files
%license COPYING
%doc NEWS
%config(noreplace) %{_sysconfdir}/rpmdevtools/
%{_datadir}/rpmdevtools/
%{_emacs_sitestartdir}/rpmdev-init.el
%ghost %{_emacs_sitestartdir}/rpmdev-init.elc
%{_bindir}/*
%{_mandir}/man[18]/*.[18]*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.6-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 15 2022 Xiaojie Chen <jackxjchen@tencent.com> - 9.6-1
- Initial build
